# Generated from insert_from_file-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name insert_from_file

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: Insert the contents of one file into another file
License: MIT
URL: https://bitbucket.org/jhsu802701/insert_from_file
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 3.8.0
# BuildRequires: rubygem(bundler-audit) = 0.6.0
# BuildRequires: rubygem(gemsurance) = 0.9.0
# BuildRequires: rubygem(rubocop) = 0.58.2
# BuildRequires: rubygem(ruby-graphviz) = 1.2.3
# BuildRequires: rubygem(simplecov) = 0.16.1
# BuildRequires: rubygem(codecov) = 0.1.10
BuildArch: noarch

%description
Insert the contents of the source file into the destination file.  Look for a
line with certain content in the destination file, and add the contents of the
source file before or after this point.  You can also look for two lines with
certain content in the destination file and replace everything in between with
the contents of the source file.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/all.sh
%{gem_instdir}/bin
%{gem_instdir}/code_test.sh
%{gem_instdir}/credentials.sh
%{gem_instdir}/gem_console.sh
%{gem_instdir}/gem_install.sh
%{gem_instdir}/gem_test.sh
%{gem_instdir}/git_check.sh
%{gem_libdir}
%{gem_instdir}/upgrade_gems.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README-to_do.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/insert_from_file.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.7-1
- Initial package
